import { TagCacheInterface } from './CacheInterface';
export declare class Redis implements TagCacheInterface {
    redis: TagCacheInterface | null;
    getOrCreateConnection: () => TagCacheInterface;
    get: <T>(key: string) => Promise<T | null>;
    set: (key: string, data: any, tags: string[], options?: {
        timeout: number;
    } | undefined) => Promise<void>;
    invalidate: (...tags: string[]) => Promise<void>;
}
