import { APIGatewayProxyHandler } from 'aws-lambda';
import { RouterInterface } from '../Router/RouterInterface';
export declare function buildHandler(router: RouterInterface): APIGatewayProxyHandler;
export declare function getEnvConfig(name: string): string | undefined;
export declare function setExecutionContext(context: ExecutionContext): void;
export declare function getExecutionContext(): ExecutionContext;
interface ExecutionContext {
    requestId?: string;
    path?: string;
    method?: string;
    identity?: string;
    sourceIp?: string;
}
export {};
