import { Context } from 'aws-lambda';
import { AbstractRouter } from './AbstractRouter';
import { RouterInterface } from './RouterInterface';
import { Event } from './RouterInterface';
export declare class Router extends AbstractRouter implements RouterInterface {
    protected beforeRoute(_event: Event, _context: Context, _path: string, _method: string): void;
    protected onUnknown(_event: Event, _context: Context, _path: string, _method: string): {
        statusCode: number;
        body: {
            message: string;
        };
    };
}
