"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractService = void 0;
const Cache_1 = require("../Cache/Cache");
const DynamoDb_1 = require("../DynamoDb/DynamoDb");
const Logger_1 = require("../Logger");
class AbstractService {
    constructor() {
        this.logger = Logger_1.logger;
        this.cache = new Cache_1.Redis();
        this.dynamodb = DynamoDb_1.dynamodb;
    }
}
exports.AbstractService = AbstractService;
