export interface TagCacheInterface {
    set: (key: string, data: any, tags: string[], options?: {
        timeout: number;
    }) => Promise<void>;
    get: <T>(key: string) => Promise<T | null>;
    invalidate: (...args: string[]) => Promise<void>;
}
