export declare function getItem<K, T>(TableName: string, Key: K): Promise<T | undefined>;
export declare function putItem<T>(TableName: string, Item: T): Promise<void>;
export declare function deleteItem<K>(TableName: string, Key: K): Promise<void>;
export declare function updateItem<K>(TableName: string, Key: K, updateData: UpdateData): Promise<void>;
export interface UpdateData {
    UpdateExpression: string;
    ExpressionAttributeNames: Record<string, string>;
    ExpressionAttributeValues: Record<string, any>;
}
